Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer
Class DefaultSequenceCursor

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.viewer.DefaultSequenceCursor

All Implemented Interfaces:
  SequenceCursor

public class DefaultSequenceCursor
extends Object
implements SequenceCursor

DefaultSequenceCursor.java Created: Tue Apr 4 12:49:30 2000

Version:
  $Id: DefaultSequenceCursor.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`DefaultSequenceCursor()`

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Add a listener to this cursor
`SequenceAlignmentPoint` | `getMark()` Returns the position of mark
`SequenceAlignmentPoint` | `getPoint()` Returns the position of point
`void` | `removeChangeListener(ChangeListener listener)` Remove the listener from this cursor
`void` | `setMark()` Set the mark to the current position of point
`void` | `setPoint(SequenceAlignmentPoint position)` Set the point to the new position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSequenceCursor

    public DefaultSequenceCursor()

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Description copied from interface: `SequenceCursor`
  Add a listener to this cursor

  Specified by:
    `addChangeListener` in interface `SequenceCursor`
  Parameters:
    `listener` - the listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Description copied from interface: `SequenceCursor`
  Remove the listener from this cursor

  Specified by:
    `removeChangeListener` in interface `SequenceCursor`
  Parameters:
    `listener` - the listener to remove

### setPoint

    public void setPoint(SequenceAlignmentPoint position)

  Description copied from interface: `SequenceCursor`
  Set the point to the new position

  Specified by:
    `setPoint` in interface `SequenceCursor`
  Parameters:
    `position` - the position to set

### setMark

    public void setMark()

  Description copied from interface: `SequenceCursor`
  Set the mark to the current position of point

  Specified by:
    `setMark` in interface `SequenceCursor`

### getPoint

    public SequenceAlignmentPoint getPoint()

  Description copied from interface: `SequenceCursor`
  Returns the position of point

  Specified by:
    `getPoint` in interface `SequenceCursor`
  Returns:
    the position

### getMark

    public SequenceAlignmentPoint getMark()

  Description copied from interface: `SequenceCursor`
  Returns the position of mark

  Specified by:
    `getMark` in interface `SequenceCursor`
  Returns:
    the position

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD